fmt_fill(3)

NAME
fmt_fill - append spaces to a string

SYNTAX
#include <libowfat/fmt.h> size_t fmt_fill(char *dest,
      size_t srclen, size_t padlen,
      size_t maxlen);

DESCRIPTION
fmt_fill appends padlen-srclen spaces (if that number is positive) to dest (which holds srclen bytes). It truncates the output only if the length would exceed maxlen. It returns the number of bytes it wrote. fmt_fill does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_fill returns the number of bytes it would have written.

SEE ALSO
fmt_strn(3), fmt_pad(3)